#include <iostream>
#include <fstream>
#include <stdlib.h>
using namespace std;
int main()
{
    ifstream f1;
    f1.open("DE002.INP");
    int a[10000],n,i;
    f1>>n;
    for(i=0;n>0;i++)
    {
        a[i]=n%2;
        n=n/2;
    }
    f1.close();
    ofstream f2;
    f2.open("DE002.OUT");
    for(i=i-1;i>=0;i--)
    {
        f2<<a[i];
    }
    f2.close();
}
